Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class CIDate

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.CIDate

    public class CIDate

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}date"/>
             <element ref="{http://www.isotc211.org/2005/gmd}dateType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Date` | `date`
`protected DateType` | `dateType`

Constructor Summary
`CIDate()`

Method Summary
`Date` | `getDate()` Gets the value of the date property.
`DateType` | `getDateType()` Gets the value of the dateType property.
`void` | `setDate(Date value)` Sets the value of the date property.
`void` | `setDateType(DateType value)` Sets the value of the dateType property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### date

    protected Date date

### dateType

    protected DateType dateType

Constructor Detail

### CIDate

    public CIDate()

Method Detail

### getDate

    public Date getDate()

  Gets the value of the date property.

  Returns:
    possible object is `Date`

### setDate

    public void setDate(Date value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `Date`

### getDateType

    public DateType getDateType()

  Gets the value of the dateType property.

  Returns:
    possible object is `DateType`

### setDateType

    public void setDateType(DateType value)

  Sets the value of the dateType property.

  Parameters:
    `value` - allowed object is `DateType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org